package jp.cssj.cti.helpers;

/**
 * ProgressListenerを簡単に実装するためのクラスです。
 * 
 * @author <a href="mailto:miyabe at gnn.co.jp">MIYABE Tatsuhiko </a>
 * @version $Id: ProgressAdapter.java,v 1.2 2005/08/18 04:51:26 harumanx Exp $
 */
public class ProgressAdapter implements ProgressListener {
	protected final boolean requiresContentLength;

	/**
	 * 
	 * @param requiresContentLength
	 *            出力結果の長さの報告を要求する場合はtrueを設定します。
	 */
	public ProgressAdapter(boolean requiresContentLength) {
		this.requiresContentLength = requiresContentLength;
	}

	public void progress(long srcPos) {
		// default
	}

	public boolean requiresContentLength() {
		return this.requiresContentLength;
	}

	public void contentLength(long contentLength) {
		// default
	}
}